<?php
/* Copyright (C) 2007 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) ---Put here your own copyright and developer email---
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/**
 *   	\file       dev/skeletons/skeleton_page.php
 *		\ingroup    mymodule othermodule1 othermodule2
 *		\brief      This file is an example of a php page
 *		\version    $Id: skeleton_page.php,v 1.8 2009/03/09 11:28:12 eldy Exp $
 *		\author		Put author name here
 *		\remarks	Put here some comments
 */
require("./pre.inc.php");
require_once(DOL_DOCUMENT_ROOT."/../dev/skeletons/skeleton_class.class.php");

// Load traductions files requiredby by page
$langs->load("companies");
$langs->load("other");

// Get parameters
$myparam = isset($_GET["myparam"])?$_GET["myparam"]:'';

// Protection if external user
if ($user->societe_id > 0)
{
	//accessforbidden();
}



/*******************************************************************
* ACTIONS
*
* Put here all code to do according to value of "action" parameter
********************************************************************/




/***************************************************
* PAGE
*
* Put here all code to build page
****************************************************/

llxHeader('ImportCSV','','');
print_fiche_titre('Importation '.$_GET['type'].' 2 / 4');

## On test le fichier envoyer par le formulaire
if ($_FILES['nomfichier']['error']) {
          switch ($_FILES['nom_du_fichier']['error']){
                   case 1: // UPLOAD_ERR_INI_SIZE
                   echo 'Le fichier dpasse la limite autorise par le serveur (fichier php.ini) !';
                   break;
                   case 2: // UPLOAD_ERR_FORM_SIZE
                   echo 'Le fichier dpasse la limite autorise dans le formulaire HTML !';
                   break;
                   case 3: // UPLOAD_ERR_PARTIAL
                   echo 'L\'envoi du fichier a t interrompu pendant le transfert !';
                   break;
                   case 4: // UPLOAD_ERR_NO_FILE
                   echo 'Le fichier que vous avez envoy a une taille nulle !';
                   break;
          }
          // End of page
		  $db->close();
		  llxFooter('$Date: 2009/03/09 11:28:12 $ - $Revision: 1.8 $');
          exit;
          
}
else {
  //$_FILES['nom_du_fichier']['error'] vaut 0 soit UPLOAD_ERR_OK
  echo '<br />Fichier recuperer -> '.$_FILES['nomfichier']['name'];
 // ce qui signifie qu'il n'y a eu aucune erreur
}

//On test si le dossier temp exite
$DossierTemp = DOL_DOCUMENT_ROOT.'/importcsv/temp';
if ( !@dir($DossierTemp) ){
	echo '<br />dossier  '.$DossierTemp.' existe pas.';
	
	// On creer le dossier temp
	if ( !mkdir($DossierTemp, 0777) ){
		echo '<br />Impossible de creer le dossier '.$DossierTemp.'.';
	}else{
		echo '<br />Le dossier '.$DossierTemp.' vient d etre creer.';
	}
}else{
	echo '<br /> Dossier '.$DossierTemp.' -> ok';
}

// On dplace le fichier dans le dossier temp
$tmp_name = $_FILES['nomfichier']['tmp_name'];
$name = $_FILES['nomfichier']['name'];
if ( !move_uploaded_file($tmp_name, $DossierTemp.'/'.$name) ){
	echo '<br /> ERREUR : Impossible de deplacer le fichier '.$tmp_name.' dans le dossier '.$DossierTemp;
}else{
	echo '<br />Deplacement du fichier '.$tmp_name.' dans le dossier '.$DossierTemp.' -> ok';
}

// on test l'extention 
$FichierExt = explode('.',$name);
$NomFichier = $FichierExt[0];
$ExtentionFichier = $FichierExt[1];
echo '<br /> extention : '.$ExtentionFichier;

// On dcompresse si le fichier est un zip
if ( $ExtentionFichier == 'zip' ){
	
	
	## Creation dossier pour la decompression
	// On creer un dossier au nom du fichier
	$DossierDecompresser = $DossierTemp.'/'.$NomFichier;
	if ( @dir($DossierDecompresser) ){
		// On supprime le dossier
		require_once(DOL_DOCUMENT_ROOT.'/importcsv/fonctions.php');
		if ( !clearDir($DossierDecompresser) ){
			echo '<br />Erreur : Impossible de supprimer le dossier : '.$DossierDecompresser;
			// End of page
			$db->close();
			llxFooter('$Date: 2009/03/09 11:28:12 $ - $Revision: 1.8 $');
			exit;
		}else{
			echo '<br />Dossier '.$DossierDecompresser.' supprimer';
		}	
	}
	
	// On creer le dossier
	if ( !mkdir($DossierDecompresser) ){
		echo '<br />erreur : Impossible de creer le dossier '.$DossierDecompresser;
		// End of page
		$db->close();
		llxFooter('$Date: 2009/03/09 11:28:12 $ - $Revision: 1.8 $');
		exit;
	}else{
		echo '<br />Dossier '.$DossierDecompresser.' creer';
	}
	
	
		
	// On effectue la dcompression
	require_once(DOL_DOCUMENT_ROOT.'/importcsv/zip.class.php');
	$liste = array();
	if ( !$liste = unzip($DossierTemp.'/'.$name, $DossierDecompresser.'/') ){
		echo '<br />Impossible de decompresser le fichier zip';
	}
	$NbrFichierZip = count($liste);
	echo '<br /><br />Le fichier zip contient '.$NbrFichierZip.' fichier(s) :<br />'; 
	
	
	// On affiche que les fichiers csv
	foreach ($liste as $nom_fichier)
	{
		$ExtentionFichierDzip = explode('.',$nom_fichier);
		if ( $ExtentionFichierDzip[1] == 'csv'){			
			echo '<a href="importfournisseur3.php?type='.$_GET['type'].'&archive='.$NomFichier.'&file='.$nom_fichier.'">'.$nom_fichier.'</a><br />';
		}else{
			echo $nom_fichier.'<br />';
		}
	}

	
}

// Put here content of your page
// ...


// End of page
$db->close();
llxFooter('$Date: 2009/03/09 11:28:12 $ - $Revision: 1.8 $');
?>
