<?php
function stripAccents($string){
	return strtr($string,'àáâãäçèéêëìíîïñòóôõöùúûüýÿÀÁÂÃÄÇÈÉÊËÌÍÎÏÑÒÓÔÕÖÙÚÛÜÝ',
'aaaaaceeeeiiiinooooouuuuyyAAAAACEEEEIIIINOOOOOUUUUY');
}

function valideChaine($chaineNonValide)
{
  $chaineNonValide = preg_replace('`\s+`', '_', trim($chaineNonValide));
  $chaineNonValide = str_replace("'", "_", $chaineNonValide);
  $chaineNonValide = preg_replace('`_+`', '_', trim($chaineNonValide));
  $chaineValide=strtr($chaineNonValide,
"ÀÁÂÃÄÅàáâãäåÒÓÔÕÖØòóôõöøÈÉÊËèéêëÇçÌÍÎÏìíîïÙÚÛÜùúûüÿÑñ",
                        "aaaaaaaaaaaaooooooooooooeeeeeeeecciiiiiiiiuuuuuuuuynn")
;
  return ($chaineValide);
}

function filter($in) {
	if ( !$in = strtolower($in) ){
		return false;
	}
	$search = array ('@[ï¿½ï¿½ï¿½ï¿½ï¿½ï¿½]@i','@[ï¿½ï¿½ï¿½ï¿½ï¿½]@i','@[ï¿½ï¿½ï¿½ï¿½]@i','@[ï¿½ï¿½ï¿½ï¿½ï¿½]@i','@[ï¿½ï¿½ï¿½ï¿½]@i','@[ï¿½]@i','@[ ]@i','@[^a-zA-Z0-9_]@');
	$replace = array ('e','a','i','u','o','c','_','');
	return preg_replace($search, $replace, $in);
}

function detect_encoding($string) { 
	static $list = array('utf-8', 'windows-1251');
	foreach ($list as $item) {
		$sample = iconv($item, $item, $string);
		if (md5($sample) == md5($string))
		return $item;
	}  		
return null;
}
/*
* Converti la chaine en UTF-8 si elle nest pas detecter tant que tel.
*/

//*
function convToUtf8($str){
	if( mb_detect_encoding($str,"UTF-8, ISO-8859-1, GBK")!="UTF-8" ){
		//return  iconv("gbk","utf-8",$str);
		return utf8_encode($str);
	}else{
		return $str;
	}
}
//*/

function FilterCsv($String){
	
	//*
	$String = convToUtf8($String);
	$String = trim($String);
	$String = str_replace('*',' ',$String);
	$String = str_replace('\*',' ',$String);
	$String = str_replace(';',' ',$String);
	$String = str_replace('\\',' ',$String);
	$String = str_replace('\'',' ',$String);
	$String = str_replace('{',' ',$String);
	$String = str_replace('}',' ',$String);
	
	// Remplace , par des .
	$String = str_replace(',','.',$String);
	
	// Convertion alaphnumerique vrai faut
	if ( strtolower($String) == 'vrai')	{$String = 1;}
	if ( strtolower($String) == 'faux')	{$String = 0;}
	if ( strtolower($String) == 'true')	{$String = 1;}
	if ( strtolower($String) == 'false'){$String = 0;}
	//*/
	
	return $String;
}


?>