<?php
/* Copyright (C) 2007 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) ---Put here your own copyright and developer email---
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/**
 *   	\file       dev/skeletons/skeleton_page.php
 *		\ingroup    mymodule othermodule1 othermodule2
 *		\brief      This file is an example of a php page
 *		\version    $Id: skeleton_page.php,v 1.8 2009/03/09 11:28:12 eldy Exp $
 *		\author		Put author name here
 *		\remarks	Put here some comments
 */
require("./pre.inc.php");
require_once(DOL_DOCUMENT_ROOT."/../dev/skeletons/skeleton_class.class.php");

// Load traductions files requiredby by page
$langs->load("companies");
$langs->load("other");

// Get parameters
$myparam = isset($_GET["myparam"])?$_GET["myparam"]:'';

// Protection if external user
if ($user->societe_id > 0)
{
	//accessforbidden();
}



/*******************************************************************
* ACTIONS
*
* Put here all code to do according to value of "action" parameter
********************************************************************/

if ($_REQUEST["action"] == 'add')
{
	$myobject=new Skeleton_class($db);
	$myobject->prop1=$_POST["field1"];
	$myobject->prop2=$_POST["field2"];
	$result=$myobject->create($user);
	if ($result > 0)
	{
		// Creation OK
	}
	{
		// Creation KO
		$mesg=$myobject->error;
	}
}



/***************************************************
* PAGE
*
* Put here all code to build page
****************************************************/

llxHeader('ImportCSV','','');
print_fiche_titre('Espace importation '.$_GET['type'].' 1 / 4');

$form=new Form($db);


// Put here content of your page
// ...
echo "<b>Contraintes : </b><br />\n";
echo "- Le fichier doit etre au format csv et dans une archive zip avant tout.<br />\n";
echo "- Le titre des champs doivent apparaitre en premier ligne.<br />\n";
echo "- Les champs du fichier doivent etre separe uniquement pas des points virgules \";\"<br />\n";
echo "- Supprimer tous les antislach \"\\\" de votre fichier CSV a l avance<br /><br />\n";
if ( $_GET['type'] == 'article' ){
	echo "Si vos articles ont des categories et sous categories, commencer par l importation des categories.<br />\n<br />\n";
}
if ( $_GET['type'] == 'catproduct'){
	echo "Aucune categorie doivent porter le meme nom (doublon), tout types confondus ( societe, articles ect ...).<br />\n<br />\n";
}

echo '<form id="import" name="import" enctype="multipart/form-data" method="post" action="importfournisseur2.php?type='.$_GET['type'].'">';
echo '  <label>';
echo '  <input type="file" name="nomfichier" id="nomfichier" />';
echo '  </label>';
echo '  <label>';
echo '  <input type="submit" name="button" id="button" value="Envoyer" />';
echo '  </label>';
echo '</form>';



// End of page
$db->close();
llxFooter('$Date: 2009/03/09 11:28:12 $ - $Revision: 1.8 $');
?>
