<?php
/* Copyright (C) 2007 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) ---Put here your own copyright and developer email---
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/**
 *   	\file       dev/skeletons/skeleton_page.php
 *		\ingroup    mymodule othermodule1 othermodule2
 *		\brief      This file is an example of a php page
 *		\version    $Id: skeleton_page.php,v 1.8 2009/03/09 11:28:12 eldy Exp $
 *		\author		Put author name here
 *		\remarks	Put here some comments
 */
set_time_limit(0);

require("./pre.inc.php");
require_once(DOL_DOCUMENT_ROOT."/../dev/skeletons/skeleton_class.class.php");
//require_once(DOL_DOCUMENT_ROOT."/../htdocs/societe.class.php");
require_once(DOL_DOCUMENT_ROOT."/../htdocs/importcsv/fonction_divers.php");
require_once(DOL_DOCUMENT_ROOT."/../htdocs/importcsv/ImportCsvProfil.class.php");
require_once(DOL_DOCUMENT_ROOT."/../htdocs/importcsv/ImportCsv.class.php"); // dependnat de fonction_divers.php
require_once(DOL_DOCUMENT_ROOT."/categories/categorie.class.php");

// Load traductions files requiredby by page
$langs->load("companies");
$langs->load("other");

// Get parameters
//$myparam = isset($_GET["myparam"])?$_GET["myparam"]:'';

// Protection if external user
if ($user->societe_id > 0)
{
	//accessforbidden();
}


//$SocieteImp->create($user);

/*******************************************************************
* ACTIONS
*
* Put here all code to do according to value of "action" parameter
********************************************************************/
# Variables
$Limit = 10000000000000000;
$Html = '';

if ( isset($_GET['type']) && !empty($_GET['type'])){
	$TypeAlpha = $_GET['type'];
	if ( $TypeAlpha == 'fournisseur'){
		$Type = 1;
	}elseif( $TypeAlpha == 'client'){
		$Type = 0;
	}elseif( $TypeAlpha == 'catproduct'){
		$Type = 0;
	}elseif( $TypeAlpha == 'article'){
		$Type = 0;
	}
}

if ( isset($_GET['file']) && !empty($_GET['file']) && isset($_GET['archive']) && !empty($_GET['archive'])){
	$File 			= $_GET['file'];
	$Archive 		= $_GET['archive'];
	$DossierTemp 	= DOL_DOCUMENT_ROOT.'/importcsv/temp';
	$FileCsv 		= $DossierTemp.'/'.$Archive.'/'.$File;
	unset($mesg);
}else{
	$mesg = "Impossible de recuperer le nom du fichier csv et son archive<br />\n";
}

## On genere le html de liason form et csv
if ( !isset($mesg) or empty($mesg)){
	$GenereHtmlLiason = New ImportCsv();

	//if ( !$GenereHtmlLiason->PostToHtml($_POST,$FileCsv, 1, 20) ){
	if ( !$GenereHtmlLiason->PostToHtml($_POST,$FileCsv, $Type, 600) ){
		$mesg = "Erreur pendant la generation du post Html, importation annule <br />\n";
		$mesg.= 'log : '.$GenereHtmlLiason->Log;	 
	}else{
		$Html.= $GenereHtmlLiason->Html;
		unset($mesg);
	}
}

//*
## Insertion fournisseur dans la base sql table societe
if ( $_GET['type'] == 'fournisseur' or $_GET['type'] == 'client'){	
	$ImportFournisseur = New ImportCsv();
	if ( !isset($mesg) or empty($mesg)){
		if (!$ImportFournisseur->InsertFournisseur($_POST,$FileCsv,$Type,$TypeAlpha,$Limit,$db)){
			$mesg = "Erreur pendant l insertion des fournisseurs dans la base, action annuler<br />\n";
			$mesg.= 'log : '.$ImportFournisseur->Log;
		}else{
			$Html.= $ImportFournisseur->Html;
			unset($mesg);
		}
	}
}
//*/
//*
## Insertion des categories dans la base sql
if ( $_GET['type'] == 'catproduct' ){
	$ImportCategorie = New ImportCsv();
	if ( !isset($mesg) or empty($mesg) ){
		if (!$ImportCategorie->InsertCategorie($_POST,$FileCsv,$Type,$TypeAlpha,$Limit,$db)){
			$mesg = "Erreur pendant l insertion des categories artices dans la base, action annuler.<br />\n";
			$mesg.='log :'.$ImportCategorie->Log;
		}else{
			$Html.= $ImportCategorie->Html;
			unset($mesg);
		}
	}
}

## Insertion des articles/produits
if ( $_GET['type'] == 'article'){
	$ImportArticle = New ImportCsv();
	if ( !isset($mesg) or empty($mesg)){
		if ( !$ImportArticle->InsertArticle($_POST,$FileCsv,$Type,$Limit,$db,$user)){
			$mesg = "Erreur pendant l importation des articles dans la base, action annuler.<br />\n";
			$mesg.= 'log : '.$ImportArticle->log;
		}else{
			$Html.= $ImportArticle->Html;
			unset($mesg);
		}
	}
}

//*/
/*
if (!isset($mesg) or empty($mesg)){
	$SauvegardeProfilSauvegarde = New ImportCsv();
	if ( !$SauvegardeProfilSauvegarde->SauvegardeProfil($_POST,$FileCsv,$user,$db)){
		$mesg = "Erreur pendant la sauvegarde du profil d importation fournisseur<br />\n";
		$mesg.= 'log : '.$SauvegardeProfilSauvegarde->Log;
	}
}
//*/

/*

$SqlProfil = New Importcsv_profil($db);
$SqlProfil->name_profil = 'test_du_profil';
$SqlProfil->formselect	= 'test_select';
$SqlProfil->formvalue	= 'test_value';
$SqlProfil->filecsv		= 'test_fichiercsv';
//$SqlProfil->date_creation = 'aa';	
$SqlProfil->create($user);


//*/

## On insere la societe

/***************************************************
* PAGE
*
* Put here all code to build page
****************************************************/

llxHeader('ImportCSV','','');
print_fiche_titre('Importation '.$_GET['type'].' 4 / 4');
// On quit si une erreure c est produite pendant les actions
if ( isset($mesg) && !empty($mesg)){
	echo 'Erreur : '.$mesg."<br />\n";
	$db->close();
	llxFooter('$Date: 2009/03/09 11:28:12 $ - $Revision: 1.8 $');
	exit;
}

// On affiche les liaisons d'importation effectué précédament
echo $Html;


//echo $SauvegardeProfilSauvegarde->Html;

// End of page
$db->close();
llxFooter('$Date: 2009/03/09 11:28:12 $ - $Revision: 1.8 $');
?>
